Bug 71040 - Please add 'pam-access.so' to /etc/pam.d/system-auth
Please add 'pam-access.so' to /etc/pam.d/system-auth
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-08-07 23:43 EDT by Enrico Scholz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-03 04:12:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-08-07 23:43:55 EDT
Description of Problem:

Please add a line like

| account     required      /lib/security/pam_access.so

to /etc/pam.d/system-auth. Often, pam_access is the only way to restrict usage
of services (e.g. to prevent some users to login at a nss_ldap enabled system).

I could add it manually to each file in /etc/pam.d, but this is a little bit
impractically and error prone. Because authconfig will remove it from
'system-auth' it is nearly impossible for a user to enable it. 

Therefore, 'authconfig' should add it automatically.

Version-Release number of selected component (if applicable):

Comment 1 Tomas Mraz 2005-09-08 09:46:06 EDT
I will consider this.
Comment 2 Tomas Mraz 2006-05-03 04:12:32 EDT
You can point the /etc/pam.d/system-auth symlink to /etc/pam.d/system-auth-local
and make it contain:
auth            include         system-auth-ac
account         include         system-auth-ac
password        include         system-auth-ac
session         include         system-auth-ac

Then you can modify this file to call pam_access.

Note You need to log in before you can comment on or make changes to this bug.